<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html; charset=ISO-8859-1" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://www.esri.com/adf/web" prefix="a" %>
<%@ page language="java" import="java.util.Locale" %>

<f:view>
    <html>
      <head>
          <title>Graphic Renderer</title>
          <link rel="stylesheet" href="css/adf.css" type="text/css" media="screen"></link>
      </head>
      <body bgcolor="#FFFFFF" leftmargin="10" topmargin="10" marginwidth="5" marginheight="5" >        
      <h:form id="frmMap">
        <a:context value="#{mapContext}" />
	<script type="text/javascript" language="javascript" src="js/esri/dojo/dojo.js" djConfig="locale:'<%=Locale.getDefault().toString().replace('_', '-').toLowerCase()%>' "></script>
	<script type="text/javascript">
		adfdojo.require("adf.adf");
		adfdojo.requireLocalization("resource","adf");
	</script>
    <table width="90" cellpadding="3" class="leftmnutables" align="center" border="1">                
      <tr>
        <td>
          <div id="Maptools">
		<a:toolbar id="Toolbar" mapId="Map0" activeTool="ZoomIn" toolbarStyle="TEXTONLY">
			<a:tool id="ZoomIn" toolText="Zoom In" clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomInToolAction" clientPostBack="true"/>
			<a:tool id="ZoomOut" toolText="Zoom Out" clientAction="adf.MapRectangle" serverAction="com.esri.adf.web.faces.event.ZoomOutToolAction" clientPostBack="true"/>
			<a:tool id="pan" clientAction="adf.MapPan" serverAction="com.esri.adf.web.faces.event.PanToolAction" toolText="Pan" clientPostBack="false" />
			<a:command id="fullext" toolText="Full Extent" clientPostBack="true">                                     
			<f:actionListener type="com.esri.adf.web.faces.event.ZoomFullExtentListener"/>
			</a:command>
			<a:tool id="PointGraphics1" showLoadingImage="true" clientAction="adf.MapPoint" serverMethod="#{rendererGraphics.addWebGraphics}" toolText="Add Point" cursor="crosshair" clientPostBack="false" />
			<a:tool id="PolylineGraphics1" showLoadingImage="true" clientAction="adf.MapPolyline" serverMethod="#{rendererGraphics.addWebGraphics}" toolText="Add Polyline" cursor="crosshair" clientPostBack="false" />
			<a:tool id="PolygonGraphics1" showLoadingImage="true" clientAction="adf.MapPolygon" serverMethod="#{rendererGraphics.addWebGraphics}" toolText="Add Polygon" cursor="crosshair" clientPostBack="false" />
			<a:command id="ClearGraphics1" showLoadingImage="true" action="#{rendererGraphics.clearWebGraphics}" toolText="Clear" clientPostBack="false" />
			<a:tool id="GraphicRenderer1" showLoadingImage="true" clientAction="adf.MapPolyline" serverMethod="#{rendererGraphics.addRenderGraphics}" toolText="Add Renderer" cursor="crosshair" clientPostBack="false" />                                
		</a:toolbar> 
          </div>         
        </td>
      </tr>
      <tr>
        <td>
          <div id="MapDiv">
		<a:map id="Map0" value="#{mapContext.webMap}" width="700" height="400"  />   
          </div>
        </td>
      </tr>
    </table>
  </h:form>
 </body>        
</html>
</f:view>